Package org.eclipse.net4j.protocol

# Interface IProtocolProvider

All Known Implementing Classes:
  `ContainerProtocolProvider`, `ContainerProtocolProvider.Client`, `ContainerProtocolProvider.Server`, `FactoriesProtocolProvider`

public interface IProtocolProvider
Provides `protocol` instances for given types.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`IProtocol<?>`
`getProtocol(String type)`

## Method Details

### getProtocol

IProtocol<?> getProtocol(String type)

Since:
  2.0